FLTK Utility Library and Widget Collection (FLU): Flu_Combo_Box class Reference

Main Page | Class Hierarchy | Class List | File List | Class Members

# Flu_Combo_Box Class Reference

This is a generic base class for implementing widgets with combo-box-like behavior (i.e. a pulldown menu where the "input" area is editable. More...

`#include <Flu_Combo_Box.h>`

Inheritance diagram for Flu_Combo_Box:

List of all members.

## Public Member Functions
| Flu_Combo_Box (int x, int y, int w, int h, const char *l=0)
| Normal FLTK widget constructor.
| ~Flu_Combo_Box ()
| Default destructor.
bool | editable () const
| Get whether the input field can be edited. Default is `true`.
void | editable (bool b)
| Set whether the input field can be edited.
const char * | value () const
| Get the string in the input field.
void | value (const char *v)
| Set the string in the input field and the value of the popup box.
void | pop_height (int h)
| Set the height of the popup box.
int | pop_height ()
| Get the height of the popup box.
int | handle (int)
| Override of Fl_Group::handle().
void | resize (int X, int Y, int W, int H)
| Override of Fl_Group::resize().
void | input_callback (void(*cb)(Fl_Widget *, void *), void *cbd=NULL)
| Set the function that will be called when the input area is interacted with.
## Public Attributes
Fl_Input | input
| Publicly exposed input widget.
## Protected Member Functions
virtual bool | _value (const char *v)=0
virtual const char * | _next ()=0
virtual const char * | _previous ()=0
virtual void | _hilight (int x, int y)=0
void | draw ()
void | selected (const char *v)
void | set_combo_widget (Fl_Widget *w)
## Static Protected Member Functions
void | input_cb (Fl_Widget *, void *v)
## Protected Attributes
void(* | _inputCB )(Fl_Widget *, void *)
void * | _inputCBD
uchar | _valbox
bool | _pushed
bool | _popped
Fl_Widget * | _cbox
int | popHeight
## Friends
class | Popup

## Detailed Description

This is a generic base class for implementing widgets with combo-box-like behavior (i.e. a pulldown menu where the "input" area is editable.

The documentation for this class was generated from the following file:

- Flu_Combo_Box.h